#!/bin/sh

set -e

nix build -L '.#nixosConfigurations.lagarto-ox.pkgs.fpga-tarball'

cd result
out=/ceph/home/gitlab-runner/public_html/nixos-riscv/
fn=$(ls | head -1)
cp "$fn" "$out/$fn"
rm -f "$out/latest.tar.zst"
ln -s "$out/$fn" "$out/latest.tar.zst"
rm result

echo "Pinned: https://jungle.bsc.es/~gitlab-runner/nixos-riscv/$fn"
echo "Latest: https://jungle.bsc.es/~gitlab-runner/nixos-riscv/latest.tar.zst"
